<?php
//++++++++++++++++
function COBROZ_VENTAS_PARSE_VENTAS($COB_KOD,$VEN_KOD){
	echo "COB = ".$COB_KOD."<br>";
	$RC=gr("cobroz","id_cobro=$COB_KOD");
	if($RC['cob_anu']=="NO"){		
		//
		$COB_MODALIDAD=$RC['cob_id_tdp'];
		$COB_REG_FEC=$RC['cob_fec'];
		$COB_CTA_ID=$RC['cob_id_cta'];
		$COB_CTA_OPE_NRO=$RC['cob_ope_nro'];
		$COB_CTA_OPE_FEC=$RC['cob_ope_fec'];
		//
		$VEN_PAG=gs("ven_cob_pag","ventas","id_venta=$VEN_KOD");
		//
		if($VEN_PAG=="NO"){
			echo "VENTA NO PAGADA ".$COB_VEN_KOD."<br>";
		}else{
			$s="UPDATE ventas 
				SET ven_cob_moda='$COB_MODALIDAD',
					ven_cob_fec_reg='$COB_REG_FEC',
					ven_cob_cta_id=$COB_CTA_ID,
					ven_cob_cta_ope_nro='$COB_CTA_OPE_NRO',
					ven_cob_cta_ope_fec='$COB_CTA_OPE_FEC'
					WHERE id_venta=".$VEN_KOD;
			ejt($s);
			//
			echo $s."<br>";
			//
		}
	}else{
		echo "COBRO ANULADO ".$COB_KOD."<br>";
	}
}
//++++++++++++
function COBROZ_VENTAS_SET_CUENTA($COB_KOD,$VEN_KOD){
	$RC=gr("cobroz","id_cobro=$COB_KOD");
	//
	$COB_MODALIDAD=$RC['cob_id_tdp'];
	$COB_REG_FEC=$RC['cob_fec'];
	$COB_CTA_ID=$RC['cob_id_cta'];
	$COB_CTA_OPE_NRO=$RC['cob_ope_nro'];
	$COB_CTA_OPE_FEC=$RC['cob_ope_fec'];
	//
	$s="UPDATE ventas 
		SET ven_cob_moda='$COB_MODALIDAD',
			ven_cob_fec_reg='$COB_REG_FEC',
			ven_cob_cta_id=$COB_CTA_ID,
			ven_cob_cta_ope_nro='$COB_CTA_OPE_NRO',
			ven_cob_cta_ope_fec='$COB_CTA_OPE_FEC'
			WHERE id_venta=".$VEN_KOD;
	ejt($s);
}
//++++++++++++
function COBROS_UPDATE_CV($COB_ID){
	//
	$s="SELECT * FROM cobroz_ventas WHERE cv_id_cob=$COB_ID ORDER BY id_cv";
	$rs=grs($s);
	while($r=$rs->fetch_assoc()){
		$ID_CV=$r['id_cv'];
		$VEN_KOD=$r['cv_id_ven'];
		$COB_KOD=$r['cv_id_cob'];
		COBROZ_VENTAS_SET_CUENTA($COB_KOD,$VEN_KOD);
	}
	//
}
//++++++++++++
function COBROZ_SET_PAGADO($COB_ID,$VEN_ID,$USU_ID){
	//$COB_MODALIDAD=gs("cob_id_tdp","cobroz","id_cobro=$COB_ID");
	//++
	$RC=gr("cobroz","id_cobro=$COB_ID");
	$COB_MODALIDAD=$RC['cob_id_tdp'];
	$COB_REG_FEC=$RC['cob_fec'];
	$COB_CTA_ID=$RC['cob_id_cta'];
	$COB_CTA_OPE_NRO=$RC['cob_ope_nro'];
	$COB_CTA_OPE_FEC=$RC['cob_ope_fec'];
	//++
	$SYS_FEC=date("Y-m-d");
	$SYS_HOR=GetHoraAP();
	$SYS_TIM=time();
	$VEN_KOD=$VEN_ID;
	$s="UPDATE ventas 
		SET ven_cob_pag='SI',
			ven_cob_fec='$SYS_FEC',
			ven_cob_hor='$SYS_HOR',
			ven_cob_tim=$SYS_TIM,
			ven_cob_usu=$USU_ID,
			ven_cob_kod=$COB_ID,
			ven_cob_moda='$COB_MODALIDAD',
			ven_cob_fec_reg='$COB_REG_FEC',
			ven_cob_cta_id=$COB_CTA_ID,
			ven_cob_cta_ope_nro='$COB_CTA_OPE_NRO',
			ven_cob_cta_ope_fec='$COB_CTA_OPE_FEC'
			WHERE ven_cob_pag<>'SI' AND id_venta=".$VEN_KOD;
	ejt($s);
	//
	$OBS_ACTUAL=gs("ven_cob_obs","ventas","id_venta=".$VEN_KOD);
	if($OBS_ACTUAL=="REPARAR"){
		$s="UPDATE ventas SET ven_cob_obs='REPARADO' WHERE id_venta=".$VEN_KOD;
		ejt($s);
	}
	//
	$ven=gr("vventas","ID=$VEN_KOD");
	$VD_COM=$ven['COM'];
	$VD_SER=$ven['SER'];
	$VD_NUM=$ven['NUM'];
	$VD_FEC=$ven['FEC_'];
	$VD_CLI=$ven['CLI'];
	$VD_TOT=$ven['TOT'];
	//
	$ANU_FEC="1900-01-01";
	$ANU_HOR="";
	$ANU_TIM=0;
	$ANU_USU=0;
	//
	$CV_ID=GenId("id_cv","cobroz_ventas");
	$s="INSERT INTO cobroz_ventas 
	VALUES ($CV_ID,'$SYS_FEC','$SYS_HOR',
	$SYS_TIM,$COB_ID,$VEN_KOD,$USU_ID,'VPC','$VD_COM',
	'$VD_SER','$VD_NUM','$VD_FEC','$VD_CLI',$VD_TOT,'NO',
	'$ANU_FEC','$ANU_HOR',$ANU_TIM,$ANU_USU,'-','-')";
	ejt($s);
	//
	$s="UPDATE cobroz SET cob_req_ver='NO' WHERE id_cobro=$COB_ID";
	ejt($s);
	//
	return true;
}
//
function COBROZ_SET_PAGADOS($COB_ID,$LIS_VENTAS,$USU_ID){
	//$COB_MODALIDAD=gs("cob_id_tdp","cobroz","id_cobro=$COB_ID");
	//++
	$RC=gr("cobroz","id_cobro=$COB_ID");
	$COB_MODALIDAD=$RC['cob_id_tdp'];
	$COB_REG_FEC=$RC['cob_fec'];
	$COB_CTA_ID=$RC['cob_id_cta'];
	$COB_CTA_OPE_NRO=$RC['cob_ope_nro'];
	$COB_CTA_OPE_FEC=$RC['cob_ope_fec'];
	//++
	$SYS_FEC=date("Y-m-d");
	$SYS_HOR=GetHoraAP();
	$SYS_TIM=time();
	//
	$LIS_DAT=explode("@",$LIS_VENTAS);
	for($k=0;$k<count($LIS_DAT);$k++){
		$LIS_DAT[$k]=trim($LIS_DAT[$k]);
		if(strlen($LIS_DAT[$k])>0){
			if(is_numeric($LIS_DAT[$k])){
				$VEN_KOD=$LIS_DAT[$k];
				$s="UPDATE ventas 
					SET ven_cob_pag='SI',
						ven_cob_fec='$SYS_FEC',
						ven_cob_hor='$SYS_HOR',
						ven_cob_tim=$SYS_TIM,
						ven_cob_usu=$USU_ID,
						ven_cob_kod=$COB_ID,
						ven_cob_moda='$COB_MODALIDAD',
						ven_cob_fec_reg='$COB_REG_FEC',
						ven_cob_cta_id=$COB_CTA_ID,
						ven_cob_cta_ope_nro='$COB_CTA_OPE_NRO',
						ven_cob_cta_ope_fec='$COB_CTA_OPE_FEC'
						WHERE ven_cob_pag<>'SI' AND id_venta=".$VEN_KOD;
				ejt($s);
				//
				//echo $s."<br>";
				//
				$OBS_ACTUAL=gs("ven_cob_obs","ventas","id_venta=".$VEN_KOD);
				if($OBS_ACTUAL=="REPARAR"){
					$s="UPDATE ventas SET ven_cob_obs='REPARADO' WHERE id_venta=".$VEN_KOD;
					ejt($s);
				}
				//
				$ven=gr("vventas","ID=$VEN_KOD");
				$VD_COM=$ven['COM'];
				$VD_SER=$ven['SER'];
				$VD_NUM=$ven['NUM'];
				$VD_FEC=$ven['FEC_'];
				$VD_CLI=$ven['CLI'];
				$VD_TOT=$ven['TOT'];
				//
				$ANU_FEC="1900-01-01";
				$ANU_HOR="";
				$ANU_TIM=0;
				$ANU_USU=0;
				//
				$CV_ID=GenId("id_cv","cobroz_ventas");
				$s="INSERT INTO cobroz_ventas 
				VALUES ($CV_ID,'$SYS_FEC','$SYS_HOR',
				$SYS_TIM,$COB_ID,$VEN_KOD,$USU_ID,'REG','$VD_COM',
				'$VD_SER','$VD_NUM','$VD_FEC','$VD_CLI',$VD_TOT,'NO',
				'$ANU_FEC','$ANU_HOR',$ANU_TIM,$ANU_USU,'-','-')";
				ejt($s);
				//
			}
		}
	}
	//
	$s="UPDATE cobroz SET cob_req_ver='NO' WHERE id_cobro=$COB_ID";
	ejt($s);
	//
}
function COBROZ_ANULAR($COB_ID){
	$s="UPDATE ventas 
		SET ven_cob_pag='NO',
			ven_cob_fec='1900-01-01',
			ven_cob_hor='',
			ven_cob_tim=0,
			ven_cob_usu=0,
			ven_cob_kod=0,
			ven_cob_moda='ND',
			ven_cob_fec_reg='1900-01-01',
			ven_cob_cta_id=0,
			ven_cob_cta_ope_nro='',
			ven_cob_cta_ope_fec='1900-01-01'
			WHERE ven_cob_kod=$COB_ID";
	ejt($s);
}
function VENTAS_COBROZ_ANULAR($VEN_ID){
	$s="UPDATE ventas 
		SET ven_cob_pag='NO',
			ven_cob_fec='1900-01-01',
			ven_cob_hor='',
			ven_cob_tim=0,
			ven_cob_usu=0,
			ven_cob_kod=0,
			ven_cob_moda='ND',
			ven_cob_fec_reg='1900-01-01',
			ven_cob_cta_id=0,
			ven_cob_cta_ope_nro='',
			ven_cob_cta_ope_fec='1900-01-01'
			WHERE id_venta=$VEN_ID";
	ejt($s);
}
function VENTAS_COBROZ_REPARAR($VEN_ID){
	$s="UPDATE ventas 
		SET ven_cob_pag='NO',
			ven_cob_fec='1900-01-01',
			ven_cob_hor='',
			ven_cob_tim=0,
			ven_cob_usu=0,
			ven_cob_kod=0,
			ven_cob_moda='ND',
			ven_cob_obs='REPARAR',
			ven_cob_fec_reg='1900-01-01',
			ven_cob_cta_id=0,
			ven_cob_cta_ope_nro='',
			ven_cob_cta_ope_fec='1900-01-01'
			WHERE id_venta=$VEN_ID";
	ejt($s);
}
?>